<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!--NewPage-->
<HTML>
<HEAD>
<!-- Generated by javadoc (build 1.5.0_17) on Fri Dec 04 18:31:10 CET 2009 -->
<TITLE>
DynamicDoubleMatrix.DynamicRows
</TITLE>

<META NAME="keywords" CONTENT="ch.javasoft.smx.impl.DynamicDoubleMatrix.DynamicRows class">

<LINK REL ="stylesheet" TYPE="text/css" HREF="../../../../stylesheet.css" TITLE="Style">

<SCRIPT type="text/javascript">
function windowTitle()
{
    parent.document.title="DynamicDoubleMatrix.DynamicRows";
}
</SCRIPT>
<NOSCRIPT>
</NOSCRIPT>

</HEAD>

<BODY BGCOLOR="white" onload="windowTitle();">


<!-- ========= START OF TOP NAVBAR ======= -->
<A NAME="navbar_top"><!-- --></A>
<A HREF="#skip-navbar_top" title="Skip navigation links"></A>
<TABLE BORDER="0" WIDTH="100%" CELLPADDING="1" CELLSPACING="0" SUMMARY="">
<TR>
<TD COLSPAN=2 BGCOLOR="#EEEEFF" CLASS="NavBarCell1">
<A NAME="navbar_top_firstrow"><!-- --></A>
<TABLE BORDER="0" CELLPADDING="0" CELLSPACING="3" SUMMARY="">
  <TR ALIGN="center" VALIGN="top">
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../overview-summary.html"><FONT CLASS="NavBarFont1"><B>Overview</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="package-summary.html"><FONT CLASS="NavBarFont1"><B>Package</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#FFFFFF" CLASS="NavBarCell1Rev"> &nbsp;<FONT CLASS="NavBarFont1Rev"><B>Class</B></FONT>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="class-use/DynamicDoubleMatrix.DynamicRows.html"><FONT CLASS="NavBarFont1"><B>Use</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="package-tree.html"><FONT CLASS="NavBarFont1"><B>Tree</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../deprecated-list.html"><FONT CLASS="NavBarFont1"><B>Deprecated</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../index-files/index-1.html"><FONT CLASS="NavBarFont1"><B>Index</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../help-doc.html"><FONT CLASS="NavBarFont1"><B>Help</B></FONT></A>&nbsp;</TD>
  </TR>
</TABLE>
</TD>
<TD ALIGN="right" VALIGN="top" ROWSPAN=3><EM>
</EM>
</TD>
</TR>

<TR>
<TD BGCOLOR="white" CLASS="NavBarCell2"><FONT SIZE="-2">
&nbsp;<A HREF="../../../../ch/javasoft/smx/impl/DynamicDoubleMatrix.DynamicColumns.html" title="class in ch.javasoft.smx.impl"><B>PREV CLASS</B></A>&nbsp;
&nbsp;<A HREF="../../../../ch/javasoft/smx/impl/SubDoubleMatrix.html" title="class in ch.javasoft.smx.impl"><B>NEXT CLASS</B></A></FONT></TD>
<TD BGCOLOR="white" CLASS="NavBarCell2"><FONT SIZE="-2">
  <A HREF="../../../../index.html?ch/javasoft/smx/impl/DynamicDoubleMatrix.DynamicRows.html" target="_top"><B>FRAMES</B></A>  &nbsp;
&nbsp;<A HREF="DynamicDoubleMatrix.DynamicRows.html" target="_top"><B>NO FRAMES</B></A>  &nbsp;
&nbsp;<SCRIPT type="text/javascript">
  <!--
  if(window==top) {
    document.writeln('<A HREF="../../../../allclasses-noframe.html"><B>All Classes</B></A>');
  }
  //-->
</SCRIPT>
<NOSCRIPT>
  <A HREF="../../../../allclasses-noframe.html"><B>All Classes</B></A>
</NOSCRIPT>


</FONT></TD>
</TR>
<TR>
<TD VALIGN="top" CLASS="NavBarCell3"><FONT SIZE="-2">
  SUMMARY:&nbsp;<A HREF="#nested_classes_inherited_from_class_ch.javasoft.smx.impl.DynamicDoubleMatrix">NESTED</A>&nbsp;|&nbsp;FIELD&nbsp;|&nbsp;<A HREF="#constructor_summary">CONSTR</A>&nbsp;|&nbsp;<A HREF="#method_summary">METHOD</A></FONT></TD>
<TD VALIGN="top" CLASS="NavBarCell3"><FONT SIZE="-2">
DETAIL:&nbsp;FIELD&nbsp;|&nbsp;<A HREF="#constructor_detail">CONSTR</A>&nbsp;|&nbsp;<A HREF="#method_detail">METHOD</A></FONT></TD>
</TR>
</TABLE>
<A NAME="skip-navbar_top"></A>
<!-- ========= END OF TOP NAVBAR ========= -->

<HR>
<!-- ======== START OF CLASS DATA ======== -->
<H2>
<FONT SIZE="-1">
ch.javasoft.smx.impl</FONT>
<BR>
Class DynamicDoubleMatrix.DynamicRows</H2>
<PRE>
<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Object.html" title="class or interface in java.lang">java.lang.Object</A>
  <IMG SRC="../../../../resources/inherit.gif" ALT="extended by "><A HREF="../../../../ch/javasoft/smx/impl/AbstractDoubleMatrix.html" title="class in ch.javasoft.smx.impl">ch.javasoft.smx.impl.AbstractDoubleMatrix</A>
      <IMG SRC="../../../../resources/inherit.gif" ALT="extended by "><A HREF="../../../../ch/javasoft/smx/impl/DynamicDoubleMatrix.html" title="class in ch.javasoft.smx.impl">ch.javasoft.smx.impl.DynamicDoubleMatrix</A>
          <IMG SRC="../../../../resources/inherit.gif" ALT="extended by "><B>ch.javasoft.smx.impl.DynamicDoubleMatrix.DynamicRows</B>
</PRE>
<DL>
<DT><B>All Implemented Interfaces:</B> <DD><A HREF="../../../../ch/javasoft/smx/iface/DoubleMatrix.html" title="interface in ch.javasoft.smx.iface">DoubleMatrix</A>, <A HREF="../../../../ch/javasoft/smx/iface/MatrixBase.html" title="interface in ch.javasoft.smx.iface">MatrixBase</A>&lt;<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Double.html" title="class or interface in java.lang">Double</A>&gt;, <A HREF="../../../../ch/javasoft/smx/iface/ReadableDoubleMatrix.html" title="interface in ch.javasoft.smx.iface">ReadableDoubleMatrix</A>&lt;<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Double.html" title="class or interface in java.lang">Double</A>&gt;, <A HREF="../../../../ch/javasoft/smx/iface/ReadableMatrix.html" title="interface in ch.javasoft.smx.iface">ReadableMatrix</A>&lt;<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Double.html" title="class or interface in java.lang">Double</A>&gt;, <A HREF="../../../../ch/javasoft/smx/iface/WritableBigIntegerMatrix.html" title="interface in ch.javasoft.smx.iface">WritableBigIntegerMatrix</A>&lt;<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Double.html" title="class or interface in java.lang">Double</A>&gt;, <A HREF="../../../../ch/javasoft/smx/iface/WritableBigIntegerRationalMatrix.html" title="interface in ch.javasoft.smx.iface">WritableBigIntegerRationalMatrix</A>&lt;<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Double.html" title="class or interface in java.lang">Double</A>&gt;, <A HREF="../../../../ch/javasoft/smx/iface/WritableDoubleMatrix.html" title="interface in ch.javasoft.smx.iface">WritableDoubleMatrix</A>&lt;<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Double.html" title="class or interface in java.lang">Double</A>&gt;, <A HREF="../../../../ch/javasoft/smx/iface/WritableIntMatrix.html" title="interface in ch.javasoft.smx.iface">WritableIntMatrix</A>&lt;<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Double.html" title="class or interface in java.lang">Double</A>&gt;, <A HREF="../../../../ch/javasoft/smx/iface/WritableIntRationalMatrix.html" title="interface in ch.javasoft.smx.iface">WritableIntRationalMatrix</A>&lt;<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Double.html" title="class or interface in java.lang">Double</A>&gt;, <A HREF="../../../../ch/javasoft/smx/iface/WritableLongMatrix.html" title="interface in ch.javasoft.smx.iface">WritableLongMatrix</A>&lt;<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Double.html" title="class or interface in java.lang">Double</A>&gt;, <A HREF="../../../../ch/javasoft/smx/iface/WritableLongRationalMatrix.html" title="interface in ch.javasoft.smx.iface">WritableLongRationalMatrix</A>&lt;<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Double.html" title="class or interface in java.lang">Double</A>&gt;, <A HREF="../../../../ch/javasoft/smx/iface/WritableMatrix.html" title="interface in ch.javasoft.smx.iface">WritableMatrix</A>&lt;<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Double.html" title="class or interface in java.lang">Double</A>&gt;, <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Cloneable.html" title="class or interface in java.lang">Cloneable</A></DD>
</DL>
<DL>
<DT><B>Enclosing class:</B><DD><A HREF="../../../../ch/javasoft/smx/impl/DynamicDoubleMatrix.html" title="class in ch.javasoft.smx.impl">DynamicDoubleMatrix</A></DD>
</DL>
<HR>
<DL>
<DT><PRE>public static class <A HREF="../../../../src-html/ch/javasoft/smx/impl/DynamicDoubleMatrix.html#line.95"><B>DynamicDoubleMatrix.DynamicRows</B></A><DT>extends <A HREF="../../../../ch/javasoft/smx/impl/DynamicDoubleMatrix.html" title="class in ch.javasoft.smx.impl">DynamicDoubleMatrix</A></DL>
</PRE>

<P>
<HR>

<P>
<!-- ======== NESTED CLASS SUMMARY ======== -->

<A NAME="nested_class_summary"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableHeadingColor">
<TH ALIGN="left" COLSPAN="2"><FONT SIZE="+2">
<B>Nested Class Summary</B></FONT></TH>
</TR>
</TABLE>
&nbsp;<A NAME="nested_classes_inherited_from_class_ch.javasoft.smx.impl.DynamicDoubleMatrix"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#EEEEFF" CLASS="TableSubHeadingColor">
<TH ALIGN="left"><B>Nested classes/interfaces inherited from class ch.javasoft.smx.impl.<A HREF="../../../../ch/javasoft/smx/impl/DynamicDoubleMatrix.html" title="class in ch.javasoft.smx.impl">DynamicDoubleMatrix</A></B></TH>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><CODE><A HREF="../../../../ch/javasoft/smx/impl/DynamicDoubleMatrix.DynamicColumns.html" title="class in ch.javasoft.smx.impl">DynamicDoubleMatrix.DynamicColumns</A>, <A HREF="../../../../ch/javasoft/smx/impl/DynamicDoubleMatrix.DynamicRows.html" title="class in ch.javasoft.smx.impl">DynamicDoubleMatrix.DynamicRows</A></CODE></TD>
</TR>
</TABLE>
&nbsp;

<!-- ======== CONSTRUCTOR SUMMARY ======== -->

<A NAME="constructor_summary"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableHeadingColor">
<TH ALIGN="left" COLSPAN="2"><FONT SIZE="+2">
<B>Constructor Summary</B></FONT></TH>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><CODE><B><A HREF="../../../../ch/javasoft/smx/impl/DynamicDoubleMatrix.DynamicRows.html#DynamicDoubleMatrix.DynamicRows()">DynamicDoubleMatrix.DynamicRows</A></B>()</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><CODE><B><A HREF="../../../../ch/javasoft/smx/impl/DynamicDoubleMatrix.DynamicRows.html#DynamicDoubleMatrix.DynamicRows(ch.javasoft.smx.iface.ReadableDoubleMatrix)">DynamicDoubleMatrix.DynamicRows</A></B>(<A HREF="../../../../ch/javasoft/smx/iface/ReadableDoubleMatrix.html" title="interface in ch.javasoft.smx.iface">ReadableDoubleMatrix</A>&nbsp;src)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
</TABLE>
&nbsp;
<!-- ========== METHOD SUMMARY =========== -->

<A NAME="method_summary"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableHeadingColor">
<TH ALIGN="left" COLSPAN="2"><FONT SIZE="+2">
<B>Method Summary</B></FONT></TH>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;double[]</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../ch/javasoft/smx/impl/DynamicDoubleMatrix.DynamicRows.html#addRow()">addRow</A></B>()</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;void</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../ch/javasoft/smx/impl/DynamicDoubleMatrix.DynamicRows.html#addRow(double[])">addRow</A></B>(double[]&nbsp;newRow)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;<A HREF="../../../../ch/javasoft/smx/impl/DynamicDoubleMatrix.DynamicRows.html" title="class in ch.javasoft.smx.impl">DynamicDoubleMatrix.DynamicRows</A></CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../ch/javasoft/smx/impl/DynamicDoubleMatrix.DynamicRows.html#clone()">clone</A></B>()</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;int</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../ch/javasoft/smx/impl/DynamicDoubleMatrix.DynamicRows.html#getColumnCount()">getColumnCount</A></B>()</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;double[]</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../ch/javasoft/smx/impl/DynamicDoubleMatrix.DynamicRows.html#getDoubleRow(int)">getDoubleRow</A></B>(int&nbsp;row)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;double</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../ch/javasoft/smx/impl/DynamicDoubleMatrix.DynamicRows.html#getDoubleValueAt(int, int)">getDoubleValueAt</A></B>(int&nbsp;row,
                                 int&nbsp;col)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;double[]</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../ch/javasoft/smx/impl/DynamicDoubleMatrix.DynamicRows.html#getRow(int)">getRow</A></B>(int&nbsp;row)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;int</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../ch/javasoft/smx/impl/DynamicDoubleMatrix.DynamicRows.html#getRowCount()">getRowCount</A></B>()</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;<A HREF="../../../../ch/javasoft/smx/impl/DynamicDoubleMatrix.DynamicRows.html" title="class in ch.javasoft.smx.impl">DynamicDoubleMatrix.DynamicRows</A></CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../ch/javasoft/smx/impl/DynamicDoubleMatrix.DynamicRows.html#newInstance(java.lang.Double[][], boolean)">newInstance</A></B>(<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Double.html" title="class or interface in java.lang">Double</A>[][]&nbsp;data,
                       boolean&nbsp;rowsInDim1)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;<A HREF="../../../../ch/javasoft/smx/impl/DynamicDoubleMatrix.DynamicRows.html" title="class in ch.javasoft.smx.impl">DynamicDoubleMatrix.DynamicRows</A></CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../ch/javasoft/smx/impl/DynamicDoubleMatrix.DynamicRows.html#newInstance(int, int)">newInstance</A></B>(int&nbsp;rows,
                       int&nbsp;cols)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;double[]</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../ch/javasoft/smx/impl/DynamicDoubleMatrix.DynamicRows.html#removeRow(int)">removeRow</A></B>(int&nbsp;row)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;void</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../ch/javasoft/smx/impl/DynamicDoubleMatrix.DynamicRows.html#setValueAt(int, int, double)">setValueAt</A></B>(int&nbsp;row,
                     int&nbsp;col,
                     double&nbsp;value)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;void</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../ch/javasoft/smx/impl/DynamicDoubleMatrix.DynamicRows.html#swapRows(int, int)">swapRows</A></B>(int&nbsp;rowA,
                 int&nbsp;rowB)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;<A HREF="../../../../ch/javasoft/smx/impl/DynamicDoubleMatrix.DynamicRows.html" title="class in ch.javasoft.smx.impl">DynamicDoubleMatrix.DynamicRows</A></CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../ch/javasoft/smx/impl/DynamicDoubleMatrix.DynamicRows.html#transpose()">transpose</A></B>()</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
</TABLE>
&nbsp;<A NAME="methods_inherited_from_class_ch.javasoft.smx.impl.DynamicDoubleMatrix"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#EEEEFF" CLASS="TableSubHeadingColor">
<TH ALIGN="left"><B>Methods inherited from class ch.javasoft.smx.impl.<A HREF="../../../../ch/javasoft/smx/impl/DynamicDoubleMatrix.html" title="class in ch.javasoft.smx.impl">DynamicDoubleMatrix</A></B></TH>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><CODE><A HREF="../../../../ch/javasoft/smx/impl/DynamicDoubleMatrix.html#getVector(int)">getVector</A>, <A HREF="../../../../ch/javasoft/smx/impl/DynamicDoubleMatrix.html#getVectorCount()">getVectorCount</A>, <A HREF="../../../../ch/javasoft/smx/impl/DynamicDoubleMatrix.html#getVectorSize()">getVectorSize</A>, <A HREF="../../../../ch/javasoft/smx/impl/DynamicDoubleMatrix.html#initClone(ch.javasoft.smx.impl.DynamicDoubleMatrix)">initClone</A>, <A HREF="../../../../ch/javasoft/smx/impl/DynamicDoubleMatrix.html#removeVector(int)">removeVector</A>, <A HREF="../../../../ch/javasoft/smx/impl/DynamicDoubleMatrix.html#setVector(int, double[])">setVector</A>, <A HREF="../../../../ch/javasoft/smx/impl/DynamicDoubleMatrix.html#swapVectors(int, int)">swapVectors</A></CODE></TD>
</TR>
</TABLE>
&nbsp;<A NAME="methods_inherited_from_class_ch.javasoft.smx.impl.AbstractDoubleMatrix"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#EEEEFF" CLASS="TableSubHeadingColor">
<TH ALIGN="left"><B>Methods inherited from class ch.javasoft.smx.impl.<A HREF="../../../../ch/javasoft/smx/impl/AbstractDoubleMatrix.html" title="class in ch.javasoft.smx.impl">AbstractDoubleMatrix</A></B></TH>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><CODE><A HREF="../../../../ch/javasoft/smx/impl/AbstractDoubleMatrix.html#add(int, int, java.math.BigInteger)">add</A>, <A HREF="../../../../ch/javasoft/smx/impl/AbstractDoubleMatrix.html#add(int, int, java.math.BigInteger, java.math.BigInteger)">add</A>, <A HREF="../../../../ch/javasoft/smx/impl/AbstractDoubleMatrix.html#add(int, int, double)">add</A>, <A HREF="../../../../ch/javasoft/smx/impl/AbstractDoubleMatrix.html#add(int, int, int)">add</A>, <A HREF="../../../../ch/javasoft/smx/impl/AbstractDoubleMatrix.html#add(int, int, int, int)">add</A>, <A HREF="../../../../ch/javasoft/smx/impl/AbstractDoubleMatrix.html#add(int, int, long)">add</A>, <A HREF="../../../../ch/javasoft/smx/impl/AbstractDoubleMatrix.html#add(int, int, long, long)">add</A>, <A HREF="../../../../ch/javasoft/smx/impl/AbstractDoubleMatrix.html#addRowToOtherRow(int, java.math.BigInteger, java.math.BigInteger, int, java.math.BigInteger, java.math.BigInteger)">addRowToOtherRow</A>, <A HREF="../../../../ch/javasoft/smx/impl/AbstractDoubleMatrix.html#addRowToOtherRow(int, java.math.BigInteger, int, java.math.BigInteger)">addRowToOtherRow</A>, <A HREF="../../../../ch/javasoft/smx/impl/AbstractDoubleMatrix.html#addRowToOtherRow(int, double, int, double)">addRowToOtherRow</A>, <A HREF="../../../../ch/javasoft/smx/impl/AbstractDoubleMatrix.html#addRowToOtherRow(int, int, int, int)">addRowToOtherRow</A>, <A HREF="../../../../ch/javasoft/smx/impl/AbstractDoubleMatrix.html#addRowToOtherRow(int, int, int, int, int, int)">addRowToOtherRow</A>, <A HREF="../../../../ch/javasoft/smx/impl/AbstractDoubleMatrix.html#addRowToOtherRow(int, long, int, long)">addRowToOtherRow</A>, <A HREF="../../../../ch/javasoft/smx/impl/AbstractDoubleMatrix.html#addRowToOtherRow(int, long, long, int, long, long)">addRowToOtherRow</A>, <A HREF="../../../../ch/javasoft/smx/impl/AbstractDoubleMatrix.html#equals(ch.javasoft.smx.iface.DoubleMatrix, double)">equals</A>, <A HREF="../../../../ch/javasoft/smx/impl/AbstractDoubleMatrix.html#equals(ch.javasoft.smx.iface.DoubleMatrix, ch.javasoft.smx.iface.DoubleMatrix, double)">equals</A>, <A HREF="../../../../ch/javasoft/smx/impl/AbstractDoubleMatrix.html#equals(java.lang.Object)">equals</A>, <A HREF="../../../../ch/javasoft/smx/impl/AbstractDoubleMatrix.html#getDoubleColumn(int)">getDoubleColumn</A>, <A HREF="../../../../ch/javasoft/smx/impl/AbstractDoubleMatrix.html#getDoubleColumn(ch.javasoft.smx.iface.ReadableDoubleMatrix, int)">getDoubleColumn</A>, <A HREF="../../../../ch/javasoft/smx/impl/AbstractDoubleMatrix.html#getDoubleColumns()">getDoubleColumns</A>, <A HREF="../../../../ch/javasoft/smx/impl/AbstractDoubleMatrix.html#getDoubleColumns(ch.javasoft.smx.iface.ReadableDoubleMatrix)">getDoubleColumns</A>, <A HREF="../../../../ch/javasoft/smx/impl/AbstractDoubleMatrix.html#getDoubleRow(ch.javasoft.smx.iface.ReadableDoubleMatrix, int)">getDoubleRow</A>, <A HREF="../../../../ch/javasoft/smx/impl/AbstractDoubleMatrix.html#getDoubleRows()">getDoubleRows</A>, <A HREF="../../../../ch/javasoft/smx/impl/AbstractDoubleMatrix.html#getDoubleRows(ch.javasoft.smx.iface.ReadableDoubleMatrix)">getDoubleRows</A>, <A HREF="../../../../ch/javasoft/smx/impl/AbstractDoubleMatrix.html#getMatrixOperations()">getMatrixOperations</A>, <A HREF="../../../../ch/javasoft/smx/impl/AbstractDoubleMatrix.html#getNumberOperations()">getNumberOperations</A>, <A HREF="../../../../ch/javasoft/smx/impl/AbstractDoubleMatrix.html#getNumberRows()">getNumberRows</A>, <A HREF="../../../../ch/javasoft/smx/impl/AbstractDoubleMatrix.html#getNumberRows(ch.javasoft.smx.iface.ReadableDoubleMatrix)">getNumberRows</A>, <A HREF="../../../../ch/javasoft/smx/impl/AbstractDoubleMatrix.html#getNumberValueAt(int, int)">getNumberValueAt</A>, <A HREF="../../../../ch/javasoft/smx/impl/AbstractDoubleMatrix.html#getSignumAt(int, int)">getSignumAt</A>, <A HREF="../../../../ch/javasoft/smx/impl/AbstractDoubleMatrix.html#hashCode()">hashCode</A>, <A HREF="../../../../ch/javasoft/smx/impl/AbstractDoubleMatrix.html#multiply(int, int, java.math.BigInteger)">multiply</A>, <A HREF="../../../../ch/javasoft/smx/impl/AbstractDoubleMatrix.html#multiply(int, int, java.math.BigInteger, java.math.BigInteger)">multiply</A>, <A HREF="../../../../ch/javasoft/smx/impl/AbstractDoubleMatrix.html#multiply(int, int, double)">multiply</A>, <A HREF="../../../../ch/javasoft/smx/impl/AbstractDoubleMatrix.html#multiply(int, int, int)">multiply</A>, <A HREF="../../../../ch/javasoft/smx/impl/AbstractDoubleMatrix.html#multiply(int, int, int, int)">multiply</A>, <A HREF="../../../../ch/javasoft/smx/impl/AbstractDoubleMatrix.html#multiply(int, int, long)">multiply</A>, <A HREF="../../../../ch/javasoft/smx/impl/AbstractDoubleMatrix.html#multiply(int, int, long, long)">multiply</A>, <A HREF="../../../../ch/javasoft/smx/impl/AbstractDoubleMatrix.html#multiplyRow(int, java.math.BigInteger)">multiplyRow</A>, <A HREF="../../../../ch/javasoft/smx/impl/AbstractDoubleMatrix.html#multiplyRow(int, java.math.BigInteger, java.math.BigInteger)">multiplyRow</A>, <A HREF="../../../../ch/javasoft/smx/impl/AbstractDoubleMatrix.html#multiplyRow(int, double)">multiplyRow</A>, <A HREF="../../../../ch/javasoft/smx/impl/AbstractDoubleMatrix.html#multiplyRow(int, int)">multiplyRow</A>, <A HREF="../../../../ch/javasoft/smx/impl/AbstractDoubleMatrix.html#multiplyRow(int, int, int)">multiplyRow</A>, <A HREF="../../../../ch/javasoft/smx/impl/AbstractDoubleMatrix.html#multiplyRow(int, long)">multiplyRow</A>, <A HREF="../../../../ch/javasoft/smx/impl/AbstractDoubleMatrix.html#multiplyRow(int, long, long)">multiplyRow</A>, <A HREF="../../../../ch/javasoft/smx/impl/AbstractDoubleMatrix.html#negate(int, int)">negate</A>, <A HREF="../../../../ch/javasoft/smx/impl/AbstractDoubleMatrix.html#setValueAt(int, int, ch.javasoft.math.BigFraction)">setValueAt</A>, <A HREF="../../../../ch/javasoft/smx/impl/AbstractDoubleMatrix.html#setValueAt(int, int, java.math.BigInteger)">setValueAt</A>, <A HREF="../../../../ch/javasoft/smx/impl/AbstractDoubleMatrix.html#setValueAt(int, int, java.math.BigInteger, java.math.BigInteger)">setValueAt</A>, <A HREF="../../../../ch/javasoft/smx/impl/AbstractDoubleMatrix.html#setValueAt(int, int, java.lang.Double)">setValueAt</A>, <A HREF="../../../../ch/javasoft/smx/impl/AbstractDoubleMatrix.html#setValueAt(int, int, int)">setValueAt</A>, <A HREF="../../../../ch/javasoft/smx/impl/AbstractDoubleMatrix.html#setValueAt(int, int, int, int)">setValueAt</A>, <A HREF="../../../../ch/javasoft/smx/impl/AbstractDoubleMatrix.html#setValueAt(int, int, long)">setValueAt</A>, <A HREF="../../../../ch/javasoft/smx/impl/AbstractDoubleMatrix.html#setValueAt(int, int, long, long)">setValueAt</A>, <A HREF="../../../../ch/javasoft/smx/impl/AbstractDoubleMatrix.html#subDoubleMatrix(int, int, int, int)">subDoubleMatrix</A>, <A HREF="../../../../ch/javasoft/smx/impl/AbstractDoubleMatrix.html#swapColumns(int, int)">swapColumns</A>, <A HREF="../../../../ch/javasoft/smx/impl/AbstractDoubleMatrix.html#toArray(double[])">toArray</A>, <A HREF="../../../../ch/javasoft/smx/impl/AbstractDoubleMatrix.html#toArray(ch.javasoft.smx.iface.ReadableDoubleMatrix, double[])">toArray</A>, <A HREF="../../../../ch/javasoft/smx/impl/AbstractDoubleMatrix.html#toDoubleArray()">toDoubleArray</A>, <A HREF="../../../../ch/javasoft/smx/impl/AbstractDoubleMatrix.html#toDoubleMatrix(boolean)">toDoubleMatrix</A>, <A HREF="../../../../ch/javasoft/smx/impl/AbstractDoubleMatrix.html#toMultilineString()">toMultilineString</A>, <A HREF="../../../../ch/javasoft/smx/impl/AbstractDoubleMatrix.html#toMultilineString(ch.javasoft.smx.iface.ReadableDoubleMatrix)">toMultilineString</A>, <A HREF="../../../../ch/javasoft/smx/impl/AbstractDoubleMatrix.html#toReadableMatrix(boolean)">toReadableMatrix</A>, <A HREF="../../../../ch/javasoft/smx/impl/AbstractDoubleMatrix.html#toString()">toString</A>, <A HREF="../../../../ch/javasoft/smx/impl/AbstractDoubleMatrix.html#toString(ch.javasoft.smx.iface.ReadableDoubleMatrix)">toString</A>, <A HREF="../../../../ch/javasoft/smx/impl/AbstractDoubleMatrix.html#toString(ch.javasoft.smx.iface.ReadableDoubleMatrix, java.lang.String, java.lang.String, java.lang.String, java.lang.String, java.lang.String, java.lang.String, java.lang.String, java.lang.String)">toString</A>, <A HREF="../../../../ch/javasoft/smx/impl/AbstractDoubleMatrix.html#toWritableMatrix(boolean)">toWritableMatrix</A>, <A HREF="../../../../ch/javasoft/smx/impl/AbstractDoubleMatrix.html#writeTo(java.io.OutputStream)">writeTo</A>, <A HREF="../../../../ch/javasoft/smx/impl/AbstractDoubleMatrix.html#writeTo(java.io.OutputStream, ch.javasoft.smx.iface.ReadableDoubleMatrix)">writeTo</A>, <A HREF="../../../../ch/javasoft/smx/impl/AbstractDoubleMatrix.html#writeTo(java.io.PrintWriter, ch.javasoft.smx.iface.ReadableDoubleMatrix, java.lang.String, java.lang.String, java.lang.String, java.lang.String, java.lang.String, java.lang.String, java.lang.String, java.lang.String)">writeTo</A>, <A HREF="../../../../ch/javasoft/smx/impl/AbstractDoubleMatrix.html#writeTo(java.io.Writer)">writeTo</A>, <A HREF="../../../../ch/javasoft/smx/impl/AbstractDoubleMatrix.html#writeTo(java.io.Writer, ch.javasoft.smx.iface.ReadableDoubleMatrix)">writeTo</A>, <A HREF="../../../../ch/javasoft/smx/impl/AbstractDoubleMatrix.html#writeToMultiline(java.io.OutputStream)">writeToMultiline</A>, <A HREF="../../../../ch/javasoft/smx/impl/AbstractDoubleMatrix.html#writeToMultiline(java.io.OutputStream, ch.javasoft.smx.iface.ReadableDoubleMatrix)">writeToMultiline</A>, <A HREF="../../../../ch/javasoft/smx/impl/AbstractDoubleMatrix.html#writeToMultiline(java.io.Writer)">writeToMultiline</A>, <A HREF="../../../../ch/javasoft/smx/impl/AbstractDoubleMatrix.html#writeToMultiline(java.io.Writer, ch.javasoft.smx.iface.ReadableDoubleMatrix)">writeToMultiline</A></CODE></TD>
</TR>
</TABLE>
&nbsp;<A NAME="methods_inherited_from_class_java.lang.Object"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#EEEEFF" CLASS="TableSubHeadingColor">
<TH ALIGN="left"><B>Methods inherited from class java.lang.<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Object.html" title="class or interface in java.lang">Object</A></B></TH>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><CODE><A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Object.html#finalize()" title="class or interface in java.lang">finalize</A>, <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Object.html#getClass()" title="class or interface in java.lang">getClass</A>, <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Object.html#notify()" title="class or interface in java.lang">notify</A>, <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Object.html#notifyAll()" title="class or interface in java.lang">notifyAll</A>, <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Object.html#wait()" title="class or interface in java.lang">wait</A>, <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Object.html#wait(long)" title="class or interface in java.lang">wait</A>, <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Object.html#wait(long, int)" title="class or interface in java.lang">wait</A></CODE></TD>
</TR>
</TABLE>
&nbsp;
<P>

<!-- ========= CONSTRUCTOR DETAIL ======== -->

<A NAME="constructor_detail"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableHeadingColor">
<TH ALIGN="left" COLSPAN="1"><FONT SIZE="+2">
<B>Constructor Detail</B></FONT></TH>
</TR>
</TABLE>

<A NAME="DynamicDoubleMatrix.DynamicRows()"><!-- --></A><H3>
DynamicDoubleMatrix.DynamicRows</H3>
<PRE>
public <A HREF="../../../../src-html/ch/javasoft/smx/impl/DynamicDoubleMatrix.DynamicRows.html#line.99"><B>DynamicDoubleMatrix.DynamicRows</B></A>()</PRE>
<DL>
</DL>
<HR>

<A NAME="DynamicDoubleMatrix.DynamicRows(ch.javasoft.smx.iface.ReadableDoubleMatrix)"><!-- --></A><H3>
DynamicDoubleMatrix.DynamicRows</H3>
<PRE>
public <A HREF="../../../../src-html/ch/javasoft/smx/impl/DynamicDoubleMatrix.DynamicRows.html#line.103"><B>DynamicDoubleMatrix.DynamicRows</B></A>(<A HREF="../../../../ch/javasoft/smx/iface/ReadableDoubleMatrix.html" title="interface in ch.javasoft.smx.iface">ReadableDoubleMatrix</A>&nbsp;src)</PRE>
<DL>
</DL>

<!-- ============ METHOD DETAIL ========== -->

<A NAME="method_detail"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableHeadingColor">
<TH ALIGN="left" COLSPAN="1"><FONT SIZE="+2">
<B>Method Detail</B></FONT></TH>
</TR>
</TABLE>

<A NAME="getDoubleRow(int)"><!-- --></A><H3>
getDoubleRow</H3>
<PRE>
public double[] <A HREF="../../../../src-html/ch/javasoft/smx/impl/DynamicDoubleMatrix.DynamicRows.html#line.114"><B>getDoubleRow</B></A>(int&nbsp;row)</PRE>
<DL>
<DD><DL>
<DT><B>Specified by:</B><DD><CODE><A HREF="../../../../ch/javasoft/smx/iface/ReadableDoubleMatrix.html#getDoubleRow(int)">getDoubleRow</A></CODE> in interface <CODE><A HREF="../../../../ch/javasoft/smx/iface/ReadableDoubleMatrix.html" title="interface in ch.javasoft.smx.iface">ReadableDoubleMatrix</A>&lt;<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Double.html" title="class or interface in java.lang">Double</A>&gt;</CODE><DT><B>Overrides:</B><DD><CODE><A HREF="../../../../ch/javasoft/smx/impl/AbstractDoubleMatrix.html#getDoubleRow(int)">getDoubleRow</A></CODE> in class <CODE><A HREF="../../../../ch/javasoft/smx/impl/AbstractDoubleMatrix.html" title="class in ch.javasoft.smx.impl">AbstractDoubleMatrix</A></CODE></DL>
</DD>
<DD><DL>
</DL>
</DD>
</DL>
<HR>

<A NAME="getRow(int)"><!-- --></A><H3>
getRow</H3>
<PRE>
public double[] <A HREF="../../../../src-html/ch/javasoft/smx/impl/DynamicDoubleMatrix.DynamicRows.html#line.118"><B>getRow</B></A>(int&nbsp;row)</PRE>
<DL>
<DD><DL>
</DL>
</DD>
</DL>
<HR>

<A NAME="addRow()"><!-- --></A><H3>
addRow</H3>
<PRE>
public double[] <A HREF="../../../../src-html/ch/javasoft/smx/impl/DynamicDoubleMatrix.DynamicRows.html#line.122"><B>addRow</B></A>()</PRE>
<DL>
<DD><DL>
</DL>
</DD>
</DL>
<HR>

<A NAME="addRow(double[])"><!-- --></A><H3>
addRow</H3>
<PRE>
public void <A HREF="../../../../src-html/ch/javasoft/smx/impl/DynamicDoubleMatrix.DynamicRows.html#line.127"><B>addRow</B></A>(double[]&nbsp;newRow)</PRE>
<DL>
<DD><DL>
</DL>
</DD>
</DL>
<HR>

<A NAME="removeRow(int)"><!-- --></A><H3>
removeRow</H3>
<PRE>
public double[] <A HREF="../../../../src-html/ch/javasoft/smx/impl/DynamicDoubleMatrix.DynamicRows.html#line.139"><B>removeRow</B></A>(int&nbsp;row)</PRE>
<DL>
<DD><DL>
</DL>
</DD>
</DL>
<HR>

<A NAME="clone()"><!-- --></A><H3>
clone</H3>
<PRE>
public <A HREF="../../../../ch/javasoft/smx/impl/DynamicDoubleMatrix.DynamicRows.html" title="class in ch.javasoft.smx.impl">DynamicDoubleMatrix.DynamicRows</A> <A HREF="../../../../src-html/ch/javasoft/smx/impl/DynamicDoubleMatrix.DynamicRows.html#line.147"><B>clone</B></A>()</PRE>
<DL>
<DD><DL>
<DT><B>Specified by:</B><DD><CODE><A HREF="../../../../ch/javasoft/smx/iface/DoubleMatrix.html#clone()">clone</A></CODE> in interface <CODE><A HREF="../../../../ch/javasoft/smx/iface/DoubleMatrix.html" title="interface in ch.javasoft.smx.iface">DoubleMatrix</A></CODE><DT><B>Specified by:</B><DD><CODE><A HREF="../../../../ch/javasoft/smx/iface/MatrixBase.html#clone()">clone</A></CODE> in interface <CODE><A HREF="../../../../ch/javasoft/smx/iface/MatrixBase.html" title="interface in ch.javasoft.smx.iface">MatrixBase</A>&lt;<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Double.html" title="class or interface in java.lang">Double</A>&gt;</CODE><DT><B>Specified by:</B><DD><CODE><A HREF="../../../../ch/javasoft/smx/iface/ReadableMatrix.html#clone()">clone</A></CODE> in interface <CODE><A HREF="../../../../ch/javasoft/smx/iface/ReadableMatrix.html" title="interface in ch.javasoft.smx.iface">ReadableMatrix</A>&lt;<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Double.html" title="class or interface in java.lang">Double</A>&gt;</CODE><DT><B>Specified by:</B><DD><CODE><A HREF="../../../../ch/javasoft/smx/iface/WritableMatrix.html#clone()">clone</A></CODE> in interface <CODE><A HREF="../../../../ch/javasoft/smx/iface/WritableMatrix.html" title="interface in ch.javasoft.smx.iface">WritableMatrix</A>&lt;<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Double.html" title="class or interface in java.lang">Double</A>&gt;</CODE><DT><B>Specified by:</B><DD><CODE><A HREF="../../../../ch/javasoft/smx/impl/AbstractDoubleMatrix.html#clone()">clone</A></CODE> in class <CODE><A HREF="../../../../ch/javasoft/smx/impl/AbstractDoubleMatrix.html" title="class in ch.javasoft.smx.impl">AbstractDoubleMatrix</A></CODE></DL>
</DD>
<DD><DL>
</DL>
</DD>
</DL>
<HR>

<A NAME="newInstance(int, int)"><!-- --></A><H3>
newInstance</H3>
<PRE>
public <A HREF="../../../../ch/javasoft/smx/impl/DynamicDoubleMatrix.DynamicRows.html" title="class in ch.javasoft.smx.impl">DynamicDoubleMatrix.DynamicRows</A> <A HREF="../../../../src-html/ch/javasoft/smx/impl/DynamicDoubleMatrix.DynamicRows.html#line.150"><B>newInstance</B></A>(int&nbsp;rows,
                                                   int&nbsp;cols)</PRE>
<DL>
<DD><DL>
</DL>
</DD>
</DL>
<HR>

<A NAME="newInstance(java.lang.Double[][], boolean)"><!-- --></A><H3>
newInstance</H3>
<PRE>
public <A HREF="../../../../ch/javasoft/smx/impl/DynamicDoubleMatrix.DynamicRows.html" title="class in ch.javasoft.smx.impl">DynamicDoubleMatrix.DynamicRows</A> <A HREF="../../../../src-html/ch/javasoft/smx/impl/DynamicDoubleMatrix.DynamicRows.html#line.154"><B>newInstance</B></A>(<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Double.html" title="class or interface in java.lang">Double</A>[][]&nbsp;data,
                                                   boolean&nbsp;rowsInDim1)</PRE>
<DL>
<DD><DL>
</DL>
</DD>
</DL>
<HR>

<A NAME="getRowCount()"><!-- --></A><H3>
getRowCount</H3>
<PRE>
public int <A HREF="../../../../src-html/ch/javasoft/smx/impl/DynamicDoubleMatrix.DynamicRows.html#line.161"><B>getRowCount</B></A>()</PRE>
<DL>
<DD><DL>
</DL>
</DD>
</DL>
<HR>

<A NAME="getColumnCount()"><!-- --></A><H3>
getColumnCount</H3>
<PRE>
public int <A HREF="../../../../src-html/ch/javasoft/smx/impl/DynamicDoubleMatrix.DynamicRows.html#line.168"><B>getColumnCount</B></A>()</PRE>
<DL>
<DD><DL>
</DL>
</DD>
</DL>
<HR>

<A NAME="getDoubleValueAt(int, int)"><!-- --></A><H3>
getDoubleValueAt</H3>
<PRE>
public double <A HREF="../../../../src-html/ch/javasoft/smx/impl/DynamicDoubleMatrix.DynamicRows.html#line.175"><B>getDoubleValueAt</B></A>(int&nbsp;row,
                               int&nbsp;col)</PRE>
<DL>
<DD><DL>
</DL>
</DD>
</DL>
<HR>

<A NAME="setValueAt(int, int, double)"><!-- --></A><H3>
setValueAt</H3>
<PRE>
public void <A HREF="../../../../src-html/ch/javasoft/smx/impl/DynamicDoubleMatrix.DynamicRows.html#line.182"><B>setValueAt</B></A>(int&nbsp;row,
                       int&nbsp;col,
                       double&nbsp;value)</PRE>
<DL>
<DD><DL>
</DL>
</DD>
</DL>
<HR>

<A NAME="swapRows(int, int)"><!-- --></A><H3>
swapRows</H3>
<PRE>
public void <A HREF="../../../../src-html/ch/javasoft/smx/impl/DynamicDoubleMatrix.DynamicRows.html#line.188"><B>swapRows</B></A>(int&nbsp;rowA,
                     int&nbsp;rowB)</PRE>
<DL>
<DD><DL>
</DL>
</DD>
</DL>
<HR>

<A NAME="transpose()"><!-- --></A><H3>
transpose</H3>
<PRE>
public <A HREF="../../../../ch/javasoft/smx/impl/DynamicDoubleMatrix.DynamicRows.html" title="class in ch.javasoft.smx.impl">DynamicDoubleMatrix.DynamicRows</A> <A HREF="../../../../src-html/ch/javasoft/smx/impl/DynamicDoubleMatrix.DynamicRows.html#line.192"><B>transpose</B></A>()</PRE>
<DL>
<DD><DL>
<DT><B>Specified by:</B><DD><CODE><A HREF="../../../../ch/javasoft/smx/iface/DoubleMatrix.html#transpose()">transpose</A></CODE> in interface <CODE><A HREF="../../../../ch/javasoft/smx/iface/DoubleMatrix.html" title="interface in ch.javasoft.smx.iface">DoubleMatrix</A></CODE><DT><B>Specified by:</B><DD><CODE><A HREF="../../../../ch/javasoft/smx/iface/MatrixBase.html#transpose()">transpose</A></CODE> in interface <CODE><A HREF="../../../../ch/javasoft/smx/iface/MatrixBase.html" title="interface in ch.javasoft.smx.iface">MatrixBase</A>&lt;<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Double.html" title="class or interface in java.lang">Double</A>&gt;</CODE><DT><B>Specified by:</B><DD><CODE><A HREF="../../../../ch/javasoft/smx/iface/ReadableMatrix.html#transpose()">transpose</A></CODE> in interface <CODE><A HREF="../../../../ch/javasoft/smx/iface/ReadableMatrix.html" title="interface in ch.javasoft.smx.iface">ReadableMatrix</A>&lt;<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Double.html" title="class or interface in java.lang">Double</A>&gt;</CODE><DT><B>Specified by:</B><DD><CODE><A HREF="../../../../ch/javasoft/smx/iface/WritableMatrix.html#transpose()">transpose</A></CODE> in interface <CODE><A HREF="../../../../ch/javasoft/smx/iface/WritableMatrix.html" title="interface in ch.javasoft.smx.iface">WritableMatrix</A>&lt;<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Double.html" title="class or interface in java.lang">Double</A>&gt;</CODE><DT><B>Specified by:</B><DD><CODE><A HREF="../../../../ch/javasoft/smx/impl/AbstractDoubleMatrix.html#transpose()">transpose</A></CODE> in class <CODE><A HREF="../../../../ch/javasoft/smx/impl/AbstractDoubleMatrix.html" title="class in ch.javasoft.smx.impl">AbstractDoubleMatrix</A></CODE></DL>
</DD>
<DD><DL>
</DL>
</DD>
</DL>
<!-- ========= END OF CLASS DATA ========= -->
<HR>


<!-- ======= START OF BOTTOM NAVBAR ====== -->
<A NAME="navbar_bottom"><!-- --></A>
<A HREF="#skip-navbar_bottom" title="Skip navigation links"></A>
<TABLE BORDER="0" WIDTH="100%" CELLPADDING="1" CELLSPACING="0" SUMMARY="">
<TR>
<TD COLSPAN=2 BGCOLOR="#EEEEFF" CLASS="NavBarCell1">
<A NAME="navbar_bottom_firstrow"><!-- --></A>
<TABLE BORDER="0" CELLPADDING="0" CELLSPACING="3" SUMMARY="">
  <TR ALIGN="center" VALIGN="top">
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../overview-summary.html"><FONT CLASS="NavBarFont1"><B>Overview</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="package-summary.html"><FONT CLASS="NavBarFont1"><B>Package</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#FFFFFF" CLASS="NavBarCell1Rev"> &nbsp;<FONT CLASS="NavBarFont1Rev"><B>Class</B></FONT>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="class-use/DynamicDoubleMatrix.DynamicRows.html"><FONT CLASS="NavBarFont1"><B>Use</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="package-tree.html"><FONT CLASS="NavBarFont1"><B>Tree</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../deprecated-list.html"><FONT CLASS="NavBarFont1"><B>Deprecated</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../index-files/index-1.html"><FONT CLASS="NavBarFont1"><B>Index</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../help-doc.html"><FONT CLASS="NavBarFont1"><B>Help</B></FONT></A>&nbsp;</TD>
  </TR>
</TABLE>
</TD>
<TD ALIGN="right" VALIGN="top" ROWSPAN=3><EM>
</EM>
</TD>
</TR>

<TR>
<TD BGCOLOR="white" CLASS="NavBarCell2"><FONT SIZE="-2">
&nbsp;<A HREF="../../../../ch/javasoft/smx/impl/DynamicDoubleMatrix.DynamicColumns.html" title="class in ch.javasoft.smx.impl"><B>PREV CLASS</B></A>&nbsp;
&nbsp;<A HREF="../../../../ch/javasoft/smx/impl/SubDoubleMatrix.html" title="class in ch.javasoft.smx.impl"><B>NEXT CLASS</B></A></FONT></TD>
<TD BGCOLOR="white" CLASS="NavBarCell2"><FONT SIZE="-2">
  <A HREF="../../../../index.html?ch/javasoft/smx/impl/DynamicDoubleMatrix.DynamicRows.html" target="_top"><B>FRAMES</B></A>  &nbsp;
&nbsp;<A HREF="DynamicDoubleMatrix.DynamicRows.html" target="_top"><B>NO FRAMES</B></A>  &nbsp;
&nbsp;<SCRIPT type="text/javascript">
  <!--
  if(window==top) {
    document.writeln('<A HREF="../../../../allclasses-noframe.html"><B>All Classes</B></A>');
  }
  //-->
</SCRIPT>
<NOSCRIPT>
  <A HREF="../../../../allclasses-noframe.html"><B>All Classes</B></A>
</NOSCRIPT>


</FONT></TD>
</TR>
<TR>
<TD VALIGN="top" CLASS="NavBarCell3"><FONT SIZE="-2">
  SUMMARY:&nbsp;<A HREF="#nested_classes_inherited_from_class_ch.javasoft.smx.impl.DynamicDoubleMatrix">NESTED</A>&nbsp;|&nbsp;FIELD&nbsp;|&nbsp;<A HREF="#constructor_summary">CONSTR</A>&nbsp;|&nbsp;<A HREF="#method_summary">METHOD</A></FONT></TD>
<TD VALIGN="top" CLASS="NavBarCell3"><FONT SIZE="-2">
DETAIL:&nbsp;FIELD&nbsp;|&nbsp;<A HREF="#constructor_detail">CONSTR</A>&nbsp;|&nbsp;<A HREF="#method_detail">METHOD</A></FONT></TD>
</TR>
</TABLE>
<A NAME="skip-navbar_bottom"></A>
<!-- ======== END OF BOTTOM NAVBAR ======= -->

<HR>

</BODY>
</HTML>
